/*
 * $Header: /home/cvs/jakarta-slide/src/share/org/apache/slide/store/tlock/TLockedException.java,v 1.1.2.2 2004/02/05 16:05:13 mholz Exp $
 * $Revision: 1.1.2.2 $
 * $Date: 2004/02/05 16:05:13 $
 *
 * ====================================================================
 *
 * Copyright 1999-2002 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.apache.slide.store.tlock;


/**
 * This exception signals that a thread cannot obtain a resource for write
 * because it is t-locked by another thread.
 *
 * @author    michael.hartmeier@softwareag.com
 * @author    peter.nevermann@softwareag.com
 * @version   $Revision: 1.1.2.2 $
 */
public class TLockedException extends Exception {
    
    /**
     * Constructor with message and descriptors.
     * @param msg  the message
     */
    public TLockedException(String msg) {
        super(msg);
    }
}

